Overview

PUKABO

version 3.2.0.0
April 28, 2024

Henri Serindat

PUKABO is a simple backup tool for Windows®.

In this example, Z: is the backup unit. It has about 8 GB free.

The backup button (top right) will start the backup.

The folder table contains the list of the folders to backup. Only the checked ones will be saved (1 in this example).

The bottom panel is for execution messages.

  • The backup configuration and history are stored on the backup unit.
  • No special software is needed to restore files and folders.
  • PUKABO gives you a second chance to restore files after a human error.

Windows® is a registered trademark of Microsoft Corp. in the U.S. and other countries.


Immediate start

  1. Insert an USB key (flash memory or hard drive).
  2. Start the program PUKABO.
  3. Add a backup unit that is a destination drive for the data to save : menu Configuration ► Backup unit ► Add. The USB key must appear in the list: select it.
  4. Add folders to backup : drag folders from the Windows explorer to the folder table. (A Folder explorer is included in PUKABO.)
  5. Click on the Backup button top right:
    The program analyses the checked folders and shows the number of files in each one, the number of files previously saved and the number of up-to-date files. This can take up to few minutes on huge folders.
    A box then appears, shows the amount of data to backup. Click on Continue.
  6. The backup is run at about 1 GB per minute.
    Messages show the number of files to process in each folder.

Press [F1] to see this help.

As you can see, no tedious configuration is needed; from start, the first simple backup can be completed in one minute.


What happened

The folders defined at step 4 above are inserted in the backup configuration and checked by default. At step 6, they are saved. One can now find in the backup unit:

  • a folder PUKABO which contains the tree of the saved files;
  • a folder PUKAB_ which contains the previous version of the saved files;
  • a file PUKABO.cfg which contains the backup configuration (the list of the folders to back up and the date of the last backup);
  • a log file PUKABO.log which contains the messages generated by the program (can be examined with any text editor).

If the configuration file (PUKABO.cfg) exists or not, that's what makes the difference between a standard storage unit (disk drive) and a backup unit of PUKABO.

We start again

If the Backup button is clicked again, the process ends within few seconds with the message Up-to-date (no file to copy). The reason is that PUBAKO does not copy unchanged files.

PUKABO will consider that a file does not need to be saved again if its size and modification time match the previous backup.


List of commands

Table operation:

Left click in the ◆ column: selects or unselects an item (all items when clicking in the header).

Left click on • or • folds or unfold a folder (cf. Folder explorer ).

Right click in the table of the folders to backup: option to add or delete folders.

Menu:

Program

Backup

Quit

Configuration

Backup unit

Select

Add

Remove

Folders to backup

Add

Remove

Selected items

Unselected items

Help

Show help: to display this help file (same as the [F1] key)

Set colors: to change the colors

Reset to default (colors)

About...


Safety

The safety of your data depends on different measures:

  • having two different backup systems (PUKABO and another one), or at least one software used alternately with 2 backup units;
  • take care of your backup units; store them in different places.

If some files have disappeared from your system, there's a chance to recover them in the folder PUKABO\ of the backup unit. If you made one backup after the file loss, these files have been erased from PUKABO\; you will find them in PUKAB_\ where they will remain until a new version of these files is created and saved another time.

In case of a system failure, what not to do is a backup on the current unit, for instance to save what can still be saved. A faulty system may destroy the content of your backup units; you may loose everything!

As soon as something goes wrong, do not save anything more on the usual backup unit and use a new drive.

If in doubt, take a look at the log of the previous backup operations. A tool like kdiff3 ( http://kdiff3.sourceforge.net/ ) can also help you to compare the content of your system and the one of you backup units.

"Not To Anticipate Is Already To Moan." (Leonardo da Vinci)


Folder explorer

Three ways are provided to backup more folders:

  • Drag and drop form the Windows® explorer;
  • Right click in the folder table and select Add;
  • Select menu Configuration ► Folders to backup ► Add.

The last 2 options use the PUKABO folder explorer:

This explorer provides:

  • A Refresh button.
  • A drive select button (C: in the above example).
  • Left column: check options can be clicked to select or unselect folders.
  • A folder column.
    A folder containing other folders has a folder icon; the cell can then be clicked to fold or unfold it.
  • An Add button to include the selected folders, or a Close button when none are selected.


Backdated files

If a file has been modified in the backup unit and not at its original location, running PUKADO will detect that.

Backdated file will appear in a table and the user can decide what to do:

  • Checked files will be restored (copied from the backup unit to the main system).
  • Unchecked files will be normally saved (the change that occurred on the backup unit will be lost)..


Frequently Asked Questions

What media can I use for saving up my data?

Any media equivalent to a hard drive can be used as a backup unit: internal or external, USB flash memory, USB or network drive, memory card,...

The media should use the NTFS file system (or the exFAT). The FAT32 system is not recommended because the daylight saving time time is not handled correctly and would disturb the detection of file change.

One cannot use C:, a CD/DVD/BD disc, or a tape.

Can I use PUKABO to back up several computers on the same backup unit?

The standard version records files and folders with a prefix PUKABO (and PUKAB_): the saved data of a computer would corrupt the ones of other computers.

To back up several computers, use the PRO version as indicated in the last answer.

Can I back up any drive or folder?

PUKABO can back up an entire drive, but system and temporary files are ignored.

What about 'preserved files'?

A source file and its backup are considered identical if their time (within 2 s) and size are identical. In this case, they are not saved again. The content of files is not checked.

Only new files are copied on the backup unit; that's why PUKABO is so fast.

If PUKABO finds in the backup a file more recent than the one to save, no saving takes place and the user has to decide what to do (cf. Backdated files ).

PUKABO detects some files as modified saved although I am sure they are not.

It may happen at each change of the Daylight Saving Time (some files may have an one hour shift).

This drawback happens particularly if you save from a NTFS file system to a drive with a FAT file system.

How do my saved data look like?

The folder PUKABO of a backup unit contains the tree of the saved folders; for instance, Z:\PUKABO\D\Projets PellesC is the backup of D:\Plans\Projets PellesC .

The saved data can be used without any specific tool.

What is the log file?

The log is a text file (pukabo.log) saved at the root of the backup unit. It contains, for each saved folder, the list of the all operations, successful or not. This file can be examined with any text editor like Notepad.

It also contains the 10 previous reports limited to 10 000 lines.

I have deleted files on my computer, shall they remain in PUKABO\ after a backup?

The data that do not exist any more in you computer will be removed from the PUKABO\ folder in the backup unit. In fact they are moved to PUKAB_\. This folder contains the previous version of the saved files.

I have accidentally deleted a file; can I find it in the backup unit?

The first place to look at the Windows® recycle bin.

If you never made any backup of the loosed file, PUKABO can't help you.

If you did make some but none after the file loss, you stand a good chance to find it in the folder PUKABO\.

If you made a backups before and after the loss, the file has been removed from PUKABO\; you may find it in PUKABO_\ where it will remain until a new version of this file is created and saved twice.

The folder PUKAB_\ seems to growing indefinitely; is that normal ?

Yes. During a backup, obsolete files (updated content) and deleted files (no more in the folders to back up) are not deleted; they are moved to PUKAB_\ where remains only the previous version.

So this folder should not grow too fast. Anyway, you should purge it from time to time with the file explorer.

I have less data to back up, but PUKABO\ does not shrink; why?

Files and folders of PUKABO\ are only deleted during a backup of their content..

A folder which is removed from the list to back up will remain indefinitely in PUKABO\.

One should check its content and purge it from time to time, and PUKAB_\ as well.

I use alternately two USB keys but I missed one turn; will there be some trouble?

No, not at all. If you want to know and have enough slots, plug both keys in the computer; PUKABO will show you what has been saved and when.

How do I uninstall PUKABO?

To uninstall PUKABO, just delete its folder and the shortcuts if any.

PUKABO does not use the Windows® registry. The only parameters concern the visual aspect of the program (size, position and colors). They are saved in a pukabo.ini file along with the program.

Errors occurred

Possibles causes are:

  • A file to copy or delete is locked, in use or has disappeared.
  • A file name contains some diacritic characters - you should rename it
  • Case of a read-only file: the first backup will run error free but next ones will produce errors if the file has been modified.
  • The backup unit is full.

What is the PRO Version?

The PRO version allows you set a different prefix for each computer (the standard version uses PUKABO). The software will then only recognize the backup data of the computer where it is run.

This setting is done during the software installation (the default prefix uses the host name).

These prefix must be different before the last character (if you use PUK_PC1 and PUK_PC2, the saved data will be safe in PUK_PC1\ and PUK_PC2\, but the previous versions of both computers will be merged in PUK_PC_\).

To change later this prefix, just rename the program file PUKABO.exe with the new prefix. If shortcuts are used, they also need to be updated.


Multilingual support

Multilingual support is provided.

If PUKABO finds a pukabo.msg file in its folder, it will be used as a translation dictionary. This text file easily modified:

  • Each line containing an equal sign defines a translation: default text=translated text.
  • Other lines are ignored (can be used as comments).

Example for french (extract):

- - - Simple words

Yes=Oui

No=Non

STOP=STOP

Cancel=Annuler

Quit=Quitter

Help=Aide

- - - backup.c

START OF=DEBUT DE

END OF=FIN DE


Terms of use

This software is provided 'as-is', without any express or implied warranty. In no event will the author be held liable for any damages arising from the use of this software.

PUKABO is free software. You can use this software free of charge for as long as you wish, for any purpose including commercial applications

You are allowed to alter the translation files (*.msg) and the documentation.

You can redistribute it freely, provided that you do not misrepresent the origin of this software and that you do not claim that you wrote the original software.

Licence Creative Commons

Feddback

Please send any bug report to the author: hserindat@gmail.com

Any feedback is welcome.

Credits

PUKABO development uses PellesC ( http://www.smorgasbordet.com/pellesc/ ).